﻿using System;
using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Logging.Console;

namespace PollyCircuitBreakerLocal
{
    public class Program
    {
        public static void Main(string[] args)
        {
            BuildWebHost(args).Run();
        }

        public static IWebHost BuildWebHost(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
                .UseStartup<Startup>()
                .ConfigureLogging((context, builder) => builder.AddFilter<ConsoleLoggerProvider>(level => level == LogLevel.None))
                //.ConfigureLogging(logging => logging.AddDebug())
                //.ConfigureLogging(logging => logging.AddFilter<ConsoleLoggerProvider>(level => level == LogLevel.Critical))
                .UseKestrel().ConfigureLogging(ConfigureLogging)
                .Build();

        private static void ConfigureLogging(ILoggingBuilder loggingBuilder)
        {
        }
    }
}
