﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace PollyCircuitBreakerRemote.Controllers
{
    [Produces("application/json")]
    [Route("[controller]")]
    public class PriceController : Controller
    {
        [HttpGet("{catalogId}")]
        public async Task<IActionResult> Get(int catalogId)
        {
            await Task.Delay(100); // simulate some processing delay

            double price = catalogId + 0.99; 
            
            return Ok(price);
        }
    }
}
